Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.events
Interface CustomEvent

All Superinterfaces:
  Event

All Known Implementing Classes:
  DOMCustomEvent

    public interface CustomEvent

extends Event

The CustomEvent interface is the recommended interface for application-specific event types. Unlike the `Event` interface, it allows applications to provide contextual information about the event type. Application-specific event types should have an associated namespace to avoid clashes with future general-purpose event types.

To create an instance of the `CustomEvent` interface, use the `DocumentEvent.createEvent("CustomEvent")` method call.

See also the Document Object Model (DOM) Level 3 Events Specification .

Since:
  DOM Level 3

Field Summary

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Method Summary
`Object` | `getDetail()` Specifies some detail information about the `Event`.
`void` | `initCustomEventNS(String namespaceURI, String typeArg, boolean canBubbleArg, boolean cancelableArg, Object detailArg)` The `initCustomEventNS` method is used to initialize the value of a `CustomEvent` object and has the same behavior as `Event.initEventNS()`.

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Method Detail

### getDetail

    Object getDetail()

  Specifies some detail information about the `Event`.

### initCustomEventNS

    void initCustomEventNS(String namespaceURI,
                           String typeArg,
                           boolean canBubbleArg,
                           boolean cancelableArg,
                           Object detailArg)

  The `initCustomEventNS` method is used to initialize the value of a `CustomEvent` object and has the same behavior as `Event.initEventNS()`.

  Parameters:
    `namespaceURI` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `typeArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `cancelableArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `detailArg` - Specifies `CustomEvent.detail`. This value may be `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.